# streambuf_iterator.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file streambuf_iterator.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::istreambuf_iterator< _CharT, _Traits >
    Provides input iterator semantics for streambufs. More...
- class std::ostreambuf_iterator< _CharT, _Traits >
    Provides output iterator semantics for streambufs. More...

## Defines

- #define _STREAMBUF_ITERATOR_H

## Functions

- template<typename _CharT> __gnu_cxx::__enable_if< __is_char<
  _CharT >::__value, _CharT
  * >::__type std::__copy_aux (istreambuf_iterator< _CharT >, istreambuf_iterator< _CharT >, _CharT *)
- template<typename _CharT> __gnu_cxx::__enable_if< __is_char<
  _CharT >::__value, ostreambuf_iterator<
  _CharT > >::__type std::__copy_aux (const _CharT *, const _CharT *, ostreambuf_iterator< _CharT >)
- template<typename _CharT> __gnu_cxx::__enable_if< __is_char<
  _CharT >::__value, ostreambuf_iterator<
  _CharT > >::__type std::__copy_aux (_CharT *, _CharT *, ostreambuf_iterator< _CharT >)
- template<typename _CharT> __gnu_cxx::__enable_if< __is_char<
  _CharT >::__value, ostreambuf_iterator<
  _CharT > >::__type std::copy (istreambuf_iterator< _CharT > __first, istreambuf_iterator< _CharT > __last, ostreambuf_iterator< _CharT > __result)
- template<typename _CharT> __gnu_cxx::__enable_if< __is_char<
  _CharT >::__value, istreambuf_iterator<
  _CharT > >::__type std::find (istreambuf_iterator< _CharT >, istreambuf_iterator< _CharT >, const _CharT &)
- template<typename _CharT, typename _Traits> bool std::operator!= (const istreambuf_iterator< _CharT, _Traits > &__a, const istreambuf_iterator< _CharT, _Traits > &__b)
- template<typename _CharT, typename _Traits> bool std::operator== (const istreambuf_iterator< _CharT, _Traits > &__a, const istreambuf_iterator< _CharT, _Traits > &__b)